Index: test/edu/ucsb/nceas/metacattest/OnlineDataAccessTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/OnlineDataAccessTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/OnlineDataAccessTest.java	(revision 4080)
@@ -33,7 +33,6 @@
 import java.util.SimpleTimeZone;
 import java.util.TimeZone;
 
-import edu.ucsb.nceas.metacat.MetaCatUtil;
 import edu.ucsb.nceas.metacat.client.InsufficientKarmaException;
 import edu.ucsb.nceas.metacat.client.Metacat;
 import edu.ucsb.nceas.metacat.client.MetacatAuthException;
@@ -40,8 +39,10 @@
 import edu.ucsb.nceas.metacat.client.MetacatException;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.IOUtil;
-import edu.ucsb.nceas.utilities.Options;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import junit.framework.Test;
 import junit.framework.TestCase;
 import junit.framework.TestSuite;
@@ -52,25 +53,25 @@
  */
 public class OnlineDataAccessTest
     extends TestCase {
-	 /* Initialize Options*/
-    static
-    {
-  	  try
-  	  {
-  		  Options.initialize(new File("build/tests/metacat.properties"));
-  		  MetaCatUtil.pathsForIndexing 
-  		         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
-  	  }
-  	  catch(Exception e)
-  	  {
-  		  System.err.println("Exception in initialize option in MetacatServletNetTest "+e.getMessage());
-  	  }
-    }
-    private String metacatUrl = MetaCatUtil.getOption("metacatUrl");
-    private String username = MetaCatUtil.getOption("mcuser");
-    private String password = MetaCatUtil.getOption("mcpassword");
-    private String anotheruser = MetaCatUtil.getOption("mcanotheruser");
-    private String anotherpassword = MetaCatUtil.getOption("mcanotherpassword");
+
+    private static String metacatUrl;
+    private static String username;
+	private static String password;
+	private static String anotheruser;
+	private static String anotherpassword;
+	static {
+		try {
+		    metacatUrl = SystemUtil.getServletURL();
+			username = PropertyService.getProperty("mcuser");
+			password = PropertyService.getProperty("mcpassword");
+			anotheruser = PropertyService.getProperty("mcanotheruser");
+			anotherpassword = PropertyService.getProperty("mcanotherpassword");
+		} catch (PropertyNotFoundException pnfe) {
+			System.err.println("Could not get property in static block: " 
+					+ pnfe.getMessage());
+		}
+	}
+
     private String prefix = "test";
     private String newdocid = null;
     private String onlineDocid = null;
Index: test/edu/ucsb/nceas/metacattest/AccessControlTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/AccessControlTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/AccessControlTest.java	(revision 4080)
@@ -34,7 +34,6 @@
 import java.util.TimeZone;
 import java.util.Vector;
 
-import edu.ucsb.nceas.metacat.MetaCatUtil;
 import edu.ucsb.nceas.metacat.client.InsufficientKarmaException;
 import edu.ucsb.nceas.metacat.client.Metacat;
 import edu.ucsb.nceas.metacat.client.MetacatAuthException;
@@ -41,8 +40,10 @@
 import edu.ucsb.nceas.metacat.client.MetacatException;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.IOUtil;
-import edu.ucsb.nceas.utilities.Options;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import junit.framework.Test;
 import junit.framework.TestCase;
 import junit.framework.TestSuite;
@@ -51,27 +52,27 @@
 /**
  * A JUnit test for testing Access Control in Metacat
  */
-public class AccessControlTest extends TestCase {
-	 /* Initialize Options*/
-    static
-    {
-  	  try
-  	  {
-  		  Options.initialize(new File("build/tests/metacat.properties"));
-  		  MetaCatUtil.pathsForIndexing 
-  		         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
-  	  }
-  	  catch(Exception e)
-  	  {
-  		  System.err.println("Exception in initialize option in MetacatServletNetTest "+e.getMessage());
-  	  }
-    }
+public class AccessControlTest
+    extends TestCase {
 
-    private String metacatUrl = MetaCatUtil.getOption("metacatUrl");
-    private String username = MetaCatUtil.getOption("mcuser");
-    private String password = MetaCatUtil.getOption("mcpassword");
-    private String anotheruser = MetaCatUtil.getOption("mcanotheruser");
-    private String anotherpassword = MetaCatUtil.getOption("mcanotherpassword");
+    private static String metacatUrl;
+    private static String username;
+	private static String password;
+	private static String anotheruser;
+	private static String anotherpassword;
+	static {
+		try {
+		    metacatUrl = SystemUtil.getServletURL();
+			username = PropertyService.getProperty("mcuser");
+			password = PropertyService.getProperty("mcpassword");
+			anotheruser = PropertyService.getProperty("mcanotheruser");
+			anotherpassword = PropertyService.getProperty("mcanotherpassword");
+		} catch (PropertyNotFoundException pnfe) {
+			System.err.println("Could not get property in static block: " 
+					+ pnfe.getMessage());
+		}
+	}
+
     private String prefix = "test";
     private String newdocid = null;
     private String testdocument = "";
Index: test/edu/ucsb/nceas/metacattest/AuthLdapTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/AuthLdapTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/AuthLdapTest.java	(revision 4080)
@@ -27,7 +27,7 @@
 import java.io.File;
 
 import edu.ucsb.nceas.metacat.AuthLdap;
-import edu.ucsb.nceas.metacat.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
 import edu.ucsb.nceas.utilities.Options;
 import junit.framework.Test;
 import junit.framework.TestCase;
@@ -92,11 +92,12 @@
     
     public void getPrincipals()
     {
-    	//System.out.println("before initilizing authldap object");
-    	AuthLdap ldap = new AuthLdap();
-    	//System.out.println("after initilizing authldap object");
     	try
     	{
+        	//System.out.println("before initilizing authldap object");
+        	AuthLdap ldap = new AuthLdap();
+        	//System.out.println("after initilizing authldap object");
+    		
     		//System.out.println("before calling the getPrincipals method");
     	    String response = ldap.getPrincipals(USER, PASS);
     	    //System.out.println("after calling the getPrincipals method \n"+response);
Index: test/edu/ucsb/nceas/metacattest/SitemapTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/SitemapTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/SitemapTest.java	(revision 4080)
@@ -31,9 +31,10 @@
 import java.io.IOException;
 
 import edu.ucsb.nceas.metacat.DBConnectionPool;
-import edu.ucsb.nceas.metacat.MetaCatUtil;
 import edu.ucsb.nceas.metacat.Sitemap;
+import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.Options;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 import junit.framework.TestCase;
 
@@ -43,24 +44,17 @@
  * @author Matt Jones
  */
 public class SitemapTest extends TestCase {
-	 /* Initialize Options*/
-    static
-    {
-  	  try
-  	  {
-  		  Options.initialize(new File("build/tests/metacat.properties"));
-  		  MetaCatUtil.pathsForIndexing 
-  		         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
-  	  }
-  	  catch(Exception e)
-  	  {
-  		  System.err.println("Exception in initialize option in MetacatServletNetTest "+e.getMessage());
-  	  }
-    }
-    private String propertyFileName = 
-    	MetaCatUtil.getOption("installDir") + "/WEB-INF/metacat.properties";
-        // "/usr/share/tomcat5.5/webapps/knb/WEB-INF/metacat.properties";
+	
+	private static String propertyFileName;
+	static {
+		try {
+			propertyFileName = SystemUtil.getContextDir() + "/WEB-INF/metacat.properties";
+			// "/usr/share/tomcat5.5/webapps/knb/WEB-INF/metacat.properties";
+		} catch (PropertyNotFoundException pnfe) {
 
+		}
+	}
+
     private String directoryName = "/tmp/sitemaps";
 
     /**
@@ -71,7 +65,6 @@
         try {
             File propertyFile = new File(propertyFileName);
             Options options = Options.initialize(propertyFile);
-            MetaCatUtil util = new MetaCatUtil();
             DBConnectionPool pool = DBConnectionPool.getInstance();
         } catch (FileNotFoundException e) {
             fail(e.getMessage());
Index: test/edu/ucsb/nceas/metacattest/QuerySpecificationTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/QuerySpecificationTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/QuerySpecificationTest.java	(revision 4080)
@@ -33,9 +33,11 @@
 import junit.framework.TestCase;
 import junit.framework.TestSuite;
 
-import edu.ucsb.nceas.metacat.MetaCatUtil;
 import edu.ucsb.nceas.metacat.QuerySpecification;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
 import edu.ucsb.nceas.utilities.Options;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /**
  * @author jones
@@ -48,7 +50,6 @@
     private FileReader xml;
     
     /** The utilities object for accessing property values */
-    private MetaCatUtil util;
     
     private static String selectionQuery = "SELECT docid,docname,doctype,date_created, date_updated, rev " +
     		"FROM xml_documents WHERE docid IN (((((SELECT DISTINCT docid FROM xml_nodes " +
@@ -97,7 +98,7 @@
   	  {
   		  Options.initialize(new File("build/tests/metacat.properties"));
   		  MetaCatUtil.pathsForIndexing 
-  		         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
+  		         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
   	  }
   	  catch(Exception e)
   	  {
@@ -124,7 +125,6 @@
         try {
             File propertyFile = new File("./lib/metacat.properties");
             Options options = Options.initialize(propertyFile);
-            util = new MetaCatUtil();
             String xmlfile = "./test/query.xml";
             xml = new FileReader(new File(xmlfile));
         } catch (FileNotFoundException e) {
@@ -153,12 +153,14 @@
         try {
             System.out.println("---- SQL ------------------");
             QuerySpecification qspec = new QuerySpecification(xml, 
-                    MetaCatUtil.getOption("saxparser"), 
-                    MetaCatUtil.getOption("accNumberSeparator"));
+                    PropertyService.getProperty("saxparser"), 
+                    PropertyService.getProperty("accNumberSeparator"));
             String query = qspec.printSQL(false);
            assertTrue(selectionQuery.equals(query.trim()));
         } catch (IOException e) {
             fail(e.getMessage());
+        } catch (PropertyNotFoundException pnfe) {
+            fail(pnfe.getMessage());
         }
     }
 
@@ -170,8 +172,8 @@
         try {
             System.out.println("---- orginal EXT SQL  ------------------\n"+extendedQuery);
             QuerySpecification qspec = new QuerySpecification(xml, 
-                    MetaCatUtil.getOption("saxparser"), 
-                    MetaCatUtil.getOption("accNumberSeparator"));
+                    PropertyService.getProperty("saxparser"), 
+                    PropertyService.getProperty("accNumberSeparator"));
             String query = 
                     qspec.printExtendedSQL(
                             "'obfs.45337', 'obfs.45338', 'obfs.45346'", true);
@@ -179,6 +181,8 @@
             assertTrue(extendedQuery.equals(query));
         } catch (IOException e) {
             fail(e.getMessage());
+        } catch (PropertyNotFoundException pnfe) {
+            fail(pnfe.getMessage());
         }
     }
 
Index: test/edu/ucsb/nceas/metacattest/SubTreeTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/SubTreeTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/SubTreeTest.java	(revision 4080)
@@ -27,6 +27,8 @@
 package edu.ucsb.nceas.metacattest;
 
 import edu.ucsb.nceas.metacat.*;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
 import edu.ucsb.nceas.utilities.Options;
 //import edu.ucsb.nceas.morpho.framework.*;
 import junit.framework.Test;
@@ -55,7 +57,7 @@
 	  {
 		  Options.initialize(new File("build/tests/metacat.properties"));
 		  MetaCatUtil.pathsForIndexing 
-		         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
+		         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
 	  }
 	  catch(Exception e)
 	  {
Index: lib/admin/admin-login.jsp
===================================================================
--- lib/admin/admin-login.jsp	(nonexistent)
+++ lib/admin/admin-login.jsp	(revision 4080)
@@ -0,0 +1,121 @@
+<%@ page    language="java" import="java.util.Vector,edu.ucsb.nceas.metacat.util.LDAPUtil,edu.ucsb.nceas.metacat.service.PropertyService" %>
+<% 
+/**
+ *  '$RCSfile$'
+ *    Copyright: 2008 Regents of the University of California and the
+ *               National Center for Ecological Analysis and Synthesis
+ *  For Details: http://www.nceas.ucsb.edu/
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ * 
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+%>
+
+<% 
+	Vector<String> organizationList = LDAPUtil.getOrganizations();
+%>
+
+<html>
+<head>
+
+<title>Database Install/Upgrade Utility</title>
+<link rel="stylesheet" type="text/css" 
+        href="<%= request.getContextPath() %>/admin/admin.css"></link>
+
+<script type="text/javascript">
+
+function validate_form() {
+    j = document.configuration_form.length
+    for (i = 0; i < j; i++) {
+        if (document.configuration_form.elements[i].value == "") {
+            alert("All form fields must be populated");
+            return false;
+        }
+    }
+    return true;
+}
+
+</script>
+
+</head>
+<body>
+<img src="<%= request.getContextPath() %>/metacat-logo.png"
+	width="100px" align="right" />
+<h2>Administrator Login</h2>
+
+Account login page.
+<br class="ldap-header">
+
+<%@ include file="./page-message-section.jsp"%>
+<hr class=config>
+<br>
+
+<form name="loginform" method="post" action="<%= request.getContextPath() %>/admin"
+	target="_top" onsubmit="return submitform(this);" id="loginform">
+
+<table class="admin-login">
+	<tr>
+		<td>username:</td>
+		<td><input class="login-input" name="username" type="text" value=""></td>
+	</tr>
+
+	<tr>
+		<td>organization:</td>
+		<td><select class="login-input"
+			name="organization">
+			<option value="" selected>&#8212; choose one &#8212;</option>
+<%
+			for (String orgName : organizationList) {
+%>
+			<option value="<%= orgName %>"
+<%
+			if (PropertyService.getProperty("ldap.base." + orgName) == null || PropertyService.getProperty("ldap.base." + orgName).equals("")) {
+%>
+			disabled="disabled"
+<%
+			}
+%>			
+			><%= orgName %></option>
+<%
+			}
+%>
+		</select></td>
+	</tr>
+	<tr>
+		<td>password:</td>
+		<td><input class="login-input" name="password" type="password" maxlength="50" value=""></td>
+	</tr>
+</table>
+
+<br>
+<hr class=config>
+
+<table class="admin-login">
+	<tr>
+		<td class="button"><input type="submit"
+				name="loginAction" value="Login" class="button_login"></td>
+	</tr>
+</table>
+
+<input type="hidden" name="configureType" value="login"/>
+<input type="hidden" name="processForm" value="true"/>
+
+</form>
+
+</body>
+</html>

Index: lib/admin/configure-restart.jsp
===================================================================
--- lib/admin/configure-restart.jsp	(nonexistent)
+++ lib/admin/configure-restart.jsp	(revision 4080)
@@ -0,0 +1,97 @@
+<%@ page    language="java" %>
+<% 
+/**
+ *  '$RCSfile$'
+ *    Copyright: 2006 Regents of the University of California and the
+ *               National Center for Ecological Analysis and Synthesis
+ *  For Details: http://www.nceas.ucsb.edu/
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ * 
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+%>
+<html>
+<head>
+<title>Metacat Configuration Succeeded</title>
+<style language="Javascript">
+body {
+    font-family: Arial, sans-serif;
+    font-size: 12pt;
+    margin-left: 30px;
+    margin-right: 30px;
+    width: 700px;
+}
+.section {
+    font-size: 16pt;
+    font-weight: bold;
+    border-bottom: solid #dddddd 1px;
+}
+</style>
+</head>
+<body>
+<p><img src="metacat-logo.png" width="100px" align="right"/> 
+<h2>Metacat Configuration Succeeded</h2>
+</p>
+
+<p>Congratulations!</p>
+<p>You have now successfully configured this installation of Metacat. All that
+   remains is to configure geoserver and restart the metacat servlet for the changes to take effect.
+</p>
+
+<br clear="right"/>
+<p class="section">Configuring Geoserver</p>
+<p>Metacat ships with <a href="http://docs.codehaus.org/display/GEOS/Home">Geoserver</a> to handle the spatial functionality.
+   Regardless of whether you plan on using the spatial functionality you should,
+   for security purposes, configure geoserver initially so that it doesn't use
+   the default password.
+   To configure geoserver with a new admin password:
+   <ol>
+    <li> Point your browser to 
+     <a href="<%= request.getScheme() + "://" +
+       request.getServerName() + ":" + request.getServerPort() +
+              request.getContextPath() %>/geoserver.jsp"><%= request.getScheme() + "://" +
+	                      request.getServerName() + ":" + request.getServerPort() +
+			                      request.getContextPath() %>/geoserver.jsp</a>. </li>
+     <li> Login using the default username and password ( <em>admin</em> / <em>geoserver</em> ) </li>
+    <li> Point your browser to 
+     <a href="<%= request.getScheme() + "://" +
+       request.getServerName() + ":" + request.getServerPort() +
+              request.getContextPath() %>/config/loginEdit.do"><%= request.getScheme() + "://" +
+	                      request.getServerName() + ":" + request.getServerPort() +
+			                      request.getContextPath() %>/config/loginEdit.do</a>, enter a new user and password then submit. </li>
+     <li> In the upper-left, click <em>Apply</em> then <em>Save</em> to save your new password.
+
+
+    </ol>
+</p>
+
+<br clear="right"/>
+<p class="section">Restarting Metacat</p>
+<p>The simplest way to restart metacat is to restart the entire servlet engine.
+   For Tomcat, this would mean calling "$TOMCAT_HOME/bin/tomcat.sh restart" or
+   an equivalent command appropriate to your operating system. After restarting,
+   you can access your new Metacat server at the URL:
+   <a href="<%= request.getScheme() + "://" + 
+       request.getServerName() + ":" + request.getServerPort() +
+       request.getContextPath() %>"><%= request.getScheme() + "://" + 
+                request.getServerName() + ":" + request.getServerPort() +
+                request.getContextPath() %></a>
+</p>
+
+</body>
+</html>

Index: lib/style/skins/sanparks/footer.jspx
===================================================================
--- lib/style/skins/sanparks/footer.jspx	(revision 4079)
+++ lib/style/skins/sanparks/footer.jspx	(revision 4080)
@@ -12,7 +12,7 @@
 				<jsp:attribute name="rel">stylesheet</jsp:attribute>
 				<jsp:attribute name="type">text/css</jsp:attribute>
 				<jsp:attribute name="href">
-					<jsp:expression>SERVER_URL_WITH_CONTEXT + "/style/skins/sanparks/sanparks.css"</jsp:expression>
+					<jsp:expression>CONTEXT_URL + "/style/skins/sanparks/sanparks.css"</jsp:expression>
 				</jsp:attribute>
 			</jsp:element>
 		</head>
Index: lib/style/skins/sanparks/settings.jsp
===================================================================
--- lib/style/skins/sanparks/settings.jsp	(revision 4079)
+++ lib/style/skins/sanparks/settings.jsp	(revision 4080)
@@ -30,6 +30,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
 <% 
 	
Index: lib/style/skins/sanparks/SaeonDelete.jspx
===================================================================
--- lib/style/skins/sanparks/SaeonDelete.jspx	(revision 4079)
+++ lib/style/skins/sanparks/SaeonDelete.jspx	(revision 4080)
@@ -17,7 +17,7 @@
 				<jsp:attribute name="rel">stylesheet</jsp:attribute>
 				<jsp:attribute name="type">text/css</jsp:attribute>
 				<jsp:attribute name="href">
-					<jsp:expression>SERVER_URL_WITH_CONTEXT + "/style/skins/sanparks/sanparks.css"</jsp:expression>
+					<jsp:expression>CONTEXT_URL + "/style/skins/sanparks/sanparks.css"</jsp:expression>
 				</jsp:attribute>
 			</jsp:element>
         </head>
Index: lib/style/skins/kepler/searchform.jsp
===================================================================
--- lib/style/skins/kepler/searchform.jsp	(revision 4079)
+++ lib/style/skins/kepler/searchform.jsp	(revision 4080)
@@ -25,6 +25,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
 <form method="POST" action="<%=SERVLET_URL%>" target="_top">
 Search for: 
Index: lib/style/skins/sanparks/sanparks.js
===================================================================
--- lib/style/skins/sanparks/sanparks.js	(revision 4079)
+++ lib/style/skins/sanparks/sanparks.js	(revision 4080)
@@ -150,7 +150,7 @@
 var IFRAME_MAP_CLASS       = "mapFrame";
 
 //footer iframe class
-var IFRAME_FOOTER_CLASS         = "iframefooterclass";
+var IFRAME_FOOTER_CLASS         = "iframefooterclass2";
 
 //(metacat only) login box iframe class
 var IFRAME_LOGINBOX_CLASS      = "iframeloginboxclass";
Index: lib/style/skins/default/index.jsp
===================================================================
--- lib/style/skins/default/index.jsp	(revision 4079)
+++ lib/style/skins/default/index.jsp	(revision 4080)
@@ -1,4 +1,4 @@
-<%@ page    language="java" %>
+<%@ page    language="java" import="edu.ucsb.nceas.metacat.service.PropertyService"%>
 <% 
  /**
   *  '$RCSfile$'
@@ -31,7 +31,6 @@
 %>
 <%@ include file="settings.jsp"%>
 <%@ include file="session_vars.jsp"%>
-<%@ page import="edu.ucsb.nceas.metacat.MetaCatUtil" %>
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html>
 <head>
@@ -43,23 +42,23 @@
 </head>
 <body>
   <script language="javascript">
-	  insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
-	  insertSearchBox("<%=SERVER_URL_WITH_CONTEXT%>");
+	  insertTemplateOpening("<%=CONTEXT_URL%>");
+	  insertSearchBox("<%=CONTEXT_URL%>");
   </script>
   <br/>
 
-  <% if ( MetaCatUtil.getOption("runSpatialOption").equals("true") ) { %>
+  <% if ( PropertyService.getProperty("runSpatialOption").equals("true") ) { %>
   <script language="javascript">
-	  insertMap("<%=SERVER_URL_WITH_CONTEXT%>");
+	  insertMap("<%=CONTEXT_URL%>");
   </script>
   <br/>
   <% } %>
 
   <script language="javascript">
-	  insertLoginBox("<%=SERVER_URL_WITH_CONTEXT%>");
+	  insertLoginBox("<%=CONTEXT_URL%>");
   </script>
   <script language="javascript">
-	  insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+	  insertTemplateClosing("<%=CONTEXT_URL%>");
   </script>
 </body>
 </html>
Index: lib/style/skins/default/settings.jsp
===================================================================
--- lib/style/skins/default/settings.jsp	(revision 4079)
+++ lib/style/skins/default/settings.jsp	(revision 4080)
@@ -30,6 +30,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
 <%
 
Index: lib/style/skins/ltss/index.jsp
===================================================================
--- lib/style/skins/ltss/index.jsp	(revision 4079)
+++ lib/style/skins/ltss/index.jsp	(revision 4080)
@@ -29,6 +29,7 @@
  %>
 
  <%@ include file="../../common/common-settings.jsp"%>
+ <%@ include file="../../common/configure-check.jsp"%>
 
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html>
@@ -43,8 +44,8 @@
 </head>
 <body>
       <script language="JavaScript">
-          insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
-          insertSearchBox("<%=SERVER_URL_WITH_CONTEXT%>");
+          insertTemplateOpening("<%=CONTEXT_URL%>");
+          insertSearchBox("<%=CONTEXT_URL%>");
       </script>
 <table width="760" border="0" cellspacing="0" cellpadding="0">
   <tr><td colspan="5">
@@ -166,7 +167,7 @@
 <p>&nbsp;</p>
 <p>&nbsp;</p>
 <script language="JavaScript">          
-    insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+    insertTemplateClosing("<%=CONTEXT_URL%>");
 </script>
 </body>
 </html>
Index: lib/style/skins/ltss/searchform.jsp
===================================================================
--- lib/style/skins/ltss/searchform.jsp	(revision 4079)
+++ lib/style/skins/ltss/searchform.jsp	(revision 4080)
@@ -25,6 +25,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
 <form method="POST" action="<%=SERVLET_URL%>" target="_top">
 Search for: 
Index: lib/style/skins/knp/header.jsp
===================================================================
--- lib/style/skins/knp/header.jsp	(revision 4079)
+++ lib/style/skins/knp/header.jsp	(revision 4080)
@@ -24,6 +24,7 @@
 */
 %>
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 <!--____________________________max_width____________________________________-->
 
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
Index: lib/style/skins/obfs/index.jsp
===================================================================
--- lib/style/skins/obfs/index.jsp	(revision 4079)
+++ lib/style/skins/obfs/index.jsp	(revision 4080)
@@ -30,6 +30,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
   
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html>
@@ -168,8 +169,8 @@
 </head>
 <body>
       <script language="JavaScript">
-          insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
-          insertSearchBox("<%=SERVER_URL_WITH_CONTEXT%>");
+          insertTemplateOpening("<%=CONTEXT_URL%>");
+          insertSearchBox("<%=CONTEXT_URL%>");
       </script>
 <table width="760" border="0" cellspacing="0" cellpadding="0">
   <tr><td colspan="5">
@@ -269,7 +270,7 @@
 </table>
 <p>&nbsp;</p>
 <script language="JavaScript">          
-    insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+    insertTemplateClosing("<%=CONTEXT_URL%>");
 </script>
 </body>
 </html>
Index: lib/style/skins/obfs/map.jsp
===================================================================
--- lib/style/skins/obfs/map.jsp	(revision 4079)
+++ lib/style/skins/obfs/map.jsp	(revision 4080)
@@ -30,12 +30,13 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
   
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html>
 <head>
 <title>OBFS Data Registry Interactive Map</title>
-<link rel="stylesheet" href="<%=SERVER_URL_WITH_CONTEXT%>/style/default.css" type="text/css">
+<link rel="stylesheet" href="<%=CONTEXT_URL%>/style/default.css" type="text/css">
   <link rel="stylesheet" type="text/css" 
         href="<%=STYLE_SKINS_URL%>/obfs/obfs.css"></link>
   <script language="JavaScript" type="text/JavaScript"
@@ -45,8 +46,8 @@
 </head>
 <body>
       <script language="JavaScript">
-          insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
-          //insertSearchBox("<%=SERVER_URL_WITH_CONTEXT%>");
+          insertTemplateOpening("<%=CONTEXT_URL%>");
+          //insertSearchBox("<%=CONTEXT_URL%>");
       </script>
 
 <iframe scrolling="no" frameborder="0" width="750" height="520" src="spatial/map.jsp">
@@ -55,7 +56,7 @@
 
 <p>&nbsp;</p>
 <script language="JavaScript">          
-    insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+    insertTemplateClosing("<%=CONTEXT_URL%>");
 </script>
 </body>
 </html>
Index: lib/style/skins/kepler/header.jsp
===================================================================
--- lib/style/skins/kepler/header.jsp	(revision 4079)
+++ lib/style/skins/kepler/header.jsp	(revision 4080)
@@ -25,6 +25,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
 <!--____________________________max_width____________________________________-->
 
Index: lib/style/skins/default/index_advanced.jsp
===================================================================
--- lib/style/skins/default/index_advanced.jsp	(revision 4079)
+++ lib/style/skins/default/index_advanced.jsp	(revision 4080)
@@ -45,9 +45,9 @@
 
 <body>
   <script language="javascript">
-	  insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
-	  insertAdvancedSearchBox("<%=SERVER_URL_WITH_CONTEXT%>");
-      insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+	  insertTemplateOpening("<%=CONTEXT_URL%>");
+	  insertAdvancedSearchBox("<%=CONTEXT_URL%>");
+      insertTemplateClosing("<%=CONTEXT_URL%>");
   </script>
 </body>
 
Index: lib/style/skins/knp/index.jsp
===================================================================
--- lib/style/skins/knp/index.jsp	(revision 4079)
+++ lib/style/skins/knp/index.jsp	(revision 4080)
@@ -25,6 +25,7 @@
  */
 %>
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html>
@@ -40,9 +41,9 @@
             function getMapFrame() {
                 return document.getElementById('mapFrame');
             }
-            insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
-            insertLoginBox("<%=SERVER_URL_WITH_CONTEXT%>");
-            insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+            insertTemplateOpening("<%=CONTEXT_URL%>");
+            insertLoginBox("<%=CONTEXT_URL%>");
+            insertTemplateClosing("<%=CONTEXT_URL%>");
         </script>
     </body>
 </html>
